### org.jfree.layouting.input.style

# Class CSSPageRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSDeclarationRule`
    - - `org.jfree.layouting.input.style.CSSPageRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSPageRule`
`extends CSSDeclarationRule`

A page rule contains (among others) page area rules as childs.

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSPageRule(StyleSheet parentStyle, StyleRule parentRule, String name, String pseudoPage)`

  ## Method Summary

  `void`

  `addRule(CSSPageAreaRule rule)`

  `void`

  `deleteRule(int index)`

  `String`

  `getName()`

  `String`

  `getPseudoPage()`

  `CSSPageAreaRule`

  `getRule(int index)`

  `int`

  `getRuleCount()`

  `void`

  `insertRule(int index, CSSPageAreaRule rule)`

  ### Methods inherited from class org.jfree.layouting.input.style.CSSDeclarationRule

  `clear`, `clone`, `getImportantValues`, `getPropertyCSSValue`, `getPropertyKeysAsArray`, `getStyleValues`, `isEmpty`, `isImportant`, `removeProperty`, `setImportant`, `setPropertyValue`, `setPropertyValue`, `setPropertyValueAsString`, `setPropertyValueAsString`

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSPageRule

    public CSSPageRule(StyleSheet parentStyle,
                       StyleRule parentRule,
                       String name,
                       String pseudoPage)

## Method Details

### addRule

    public void addRule(CSSPageAreaRule rule)

### deleteRule

    public void deleteRule(int index)

### getName

    public String getName()

### getPseudoPage

    public String getPseudoPage()

### getRule

    public CSSPageAreaRule getRule(int index)

### getRuleCount

    public int getRuleCount()

### insertRule

    public void insertRule(int index,
                           CSSPageAreaRule rule)